package com.tzld.piaoquan.recommend.server.repository;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author dyp
 */
@Repository
public interface VideoDemandAnalysisRepository extends JpaRepository<VideoDemandAnalysis, Long> {
    @Query("SELECT DISTINCT v.videoId FROM VideoDemandAnalysis v order by id desc")
    List<Long> findDistinctVideoId(Pageable pageable);
}